import { Component } from 'react';
import { IGridInnerColumn } from './Grid';
import { IGridCellPos } from './types';
interface IGridCellProps<Data> {
    column: IGridInnerColumn<Data>;
    data: Data;
    pos: IGridCellPos;
    columnIndex: number;
    prefix: string;
}
declare class Cell<Data> extends Component<IGridCellProps<Data>> {
    isInvalidRenderCellText(text: any): boolean;
    getText: (props: IGridCellProps<Data>) => any;
    onClick: React.MouseEventHandler<HTMLTableDataCellElement>;
    shouldComponentUpdate(nextProps: IGridCellProps<Data>): boolean;
    static contextType: import("react").Context<Partial<import("./types").IGridColumn<any>>>;
    render(): JSX.Element;
}
export default Cell;
